package iter;

/**
 * Represents a transformation from T to S 
 * @param <T> The source type
 * @param <S> The destination type
 */
public interface ITransform<T, S> {
	/**
	 * Transform an object
	 * @param x The original object
	 * @return The transformed object
	 */
	 public S transform (T x);
}
