/**
 * 
 */
package gentree;

import draw.Circle;
import draw.ICanvas;

/**
 * @author fennell
 * 
 */
public class Leaf implements ITree {

	/*
	 * (non-Javadoc)
	 * 
	 * @see trees.ITree#height()
	 */
	@Override
	public int height() {
		return 0;
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see trees.ITree#draw(int, int, int, int, draw.ICanvas)
	 */
	@Override
	public void draw(int x, int y, int width, int height, ICanvas canvas) {
		if (!Placement.nodeFits(Placement.LEAF_SIZE, width, height)) {
			canvas.abort("No space to draw a leaf at " + x + ", " + y);
		} else {
			canvas.drawCircle(new Circle(x + width/2, y+ Placement.LEAF_SIZE/2, Placement.LEAF_SIZE / 2, ""));
		}
	}

}
