package gentree;

import javax.swing.JFrame;
import javax.swing.JPanel;

import draw.Canvas;

/**
 * Main class that draws trees.
 * 
 * @author fennell
 * 
 */
public class MainSolution {

	/**
	 * The main method
	 * 
	 * @param args
	 *            command line arguments
	 */
	public static void main(String[] args) {
		// see the tutorials for further information
		// (http://docs.oracle.com/javase/tutorial/uiswing/)
		javax.swing.SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				// TODO put your tree testing code here
				Canvas canvas = new Canvas(1024, 768);
				ITree tree1 = new InnerNode(1, 
						new InnerNode(2, 
								new InnerNode(3, new Leaf(), new Leaf()), 
								new InnerNode(4, new Leaf(), new Leaf())), 
					    new InnerNode(5, new Leaf(), new Leaf()));
				tree1.draw(0, 0, 200, 200, canvas);
				ITree tree2 = new InnerNode(1, 
						new InnerNode(2, 
								new InnerNode(3, new InnerNode(4, new Leaf(), new Leaf()), new Leaf()), 
								new InnerNode(5, new Leaf(), new Leaf())), 
					    new Leaf());
				tree2.draw(200, 0, 400, 400, canvas);
				createAndShowGUI(canvas);
			}
		});
	}

	/**
	 * Show a GUI with a single panel.
	 * 
	 * @param panel
	 *            The panel to show
	 */
	private static void createAndShowGUI(JPanel panel) {
		// Create and set up the window.
		JFrame frame = new JFrame("Trees");
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		// Add the panel to the frame
		frame.getContentPane().add(panel);

		// Display the window.
		frame.pack();
		frame.setVisible(true);
	}
}
