/**
 * 
 */
package gentree;


/**
 * Utility functions for node placements
 * 
 * @author fennell
 * 
 */
public class Placement {

	public final static int LEAF_SIZE = 10;
	public final static int NODE_SIZE = 35;
	public final static int NODE_DISTANCE = 50;

	/**
	 * Check if a node fits in the rectangle
	 * 
	 * @param sz
	 *            diameter of the node
	 * @param width the width of the rectangle
	 * @param height the height of the rectangle
	 * @return if the node fits
	 */
	public static boolean nodeFits(int sz, int width, int height) {
		return (width > sz && height > sz); 
	}

}
